<psm-list #psmList [(todoList)]="todoList"></psm-list>

<input type="text" [disabled]="isntAddable()" #input>
<button (click)="psmList.addTodo(input)" [disabled]="isntAddable()">Hinzufügen</button>
<p class="warning" *ngIf="isntAddable()">Liste ist voll</p>
<p>{{getListLength()}}</p>

<br><br>

<psm-panel>
    <psm-panel-header>Title</psm-panel-header>
    Das ist der Inhalt mit <code>ng-content</code>
</psm-panel>

<psm-tab-panel>
    <psm-tab title="Tab 1">
        <psm-panel>
            <psm-panel-header>
                Tab 1
            </psm-panel-header>
            Das ist Panel 1
        </psm-panel>
    </psm-tab>
    <psm-tab title="Tab 2">
        <psm-panel>
            <psm-panel-header>
                Tab 2
            </psm-panel-header>
            Das ist Panel 2
        </psm-panel>
    </psm-tab>
    <psm-tab title="Tab 3">
        <psm-panel>
            <psm-panel-header>
                Tab 3
            </psm-panel-header>
            Das ist Panel 3
        </psm-panel>
    </psm-tab>
</psm-tab-panel>

<br><br>

<div class="borderBox" [psmBorder]="borderSize" (click)="borderSize = borderSize + 1">
    Rand vergrößern
</div>

<br><br>

<label for="mail">E-Mail: </label>
<input psmLowerCase type="text" name="mail">

<br><br>

<div psmSlider [(value)]="slideValue"></div>
<input [(ngModel)]="slideValue">
<p>Aktueller Wert: {{slideValue}}</p>